*** Now build the string we need to update the graph
*** in the general field
lcGraphData = ""
SELECT GRAPH
lnFieldCount = FCOUNT()
	
*** Build tab-delimited string of field names:
FOR lnFld = 1 TO lnFieldCount  
 IF .not. lnfld = 2
  lcGraphData = lcGraphData + FIELD( lnFld ) ;
    + IIF( lnFld < lnFieldCount, CHR( 9 ), CHR( 13 ) + CHR( 10 ) )
    ELSE
  lcGraphData = lcGraphData + "      " ;
  + IIF( lnFld < lnFieldCount, CHR( 9 ), CHR( 13 ) + CHR( 10 ) )
 ENDIF
ENDFOR

*** Concatenate the data, converting numeric fields to character:
SCAN
  FOR lnFld = 1 TO lnFieldCount  
    lcGraphData = lcGraphData + TRANSFORM( EVALUATE( FIELD( lnFld ) ) ) + ;
      + IIF( lnFld < lnFieldCount, CHR( 9 ), CHR( 13 )  + CHR( 10 ) )
  ENDFOR
ENDSCAN

GO TOP IN GRAPH

*** OK, ready to update the graph
SELECT VFPGRAPH
GOTO top
APPEND GENERAL oleGraph CLASS "MsGraph.Chart" DATA lcGraphData
